Subject: Fw: lcc-win32 vs. mingw32/gnuwin32
From: [email-masked] (Joshua Little)

18 Jan 1998 11:32:17 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

-----Original Message-----
From: Pedro A. Aranda Gutiirrez <[email-masked]>
To: Joshua J Little <[email-masked]>
Date: Monday, December 15, 1997 12:14 AM
Subject: Re: lcc-win32 vs. mingw32/gnuwin32

>Hi,
>
>I've taken all the weekend to go through pro's and con's of both
>solutions and here are my thoughts. I hope they help you
>
>LCC+
>a) LCC is better at Petzold's examples
>b) exceptions are supported on LCC
>c) the headers are somehow more complete on LCC
>
>LCC-
>a) LCC chokes on GNU code quite frequently
>b) Forget about recompiling a whole GNU project
>c) The auxiliary tools are somewhat poor.
>
>GCC+
>a) It doesn't take too much to have LCC's WIN32 headers working with GCC
>
>b) Recompiling GNU utilities is quite easy, even with the MINGW32
>toolchain
>c) You should have more or less everything you already know from your
>workstation
>
>GCC-
>a) Exception support on plain vanilla C code is missing
>b) I'd really love to see GCC understanding #pragma pack(), but there is
>a
>sort of fundamentalism in the GNU community against it
>
>Cheers,
>
>
>--
>
>     +--------------------------------------------------------+
>     |  ####   Pedro Andres Aranda Gutierrez                  |
>     |  ####   ATM Networks Division                          |
>     |  ####   Telefonica I+D          C./ Emilio Vargas, 6   |
>     |  ====                           E-28043 Madrid, Spain  |
>     |  ====   mailto:[email-masked]      Tlf +34-1-337 47 02    |
>     |  ====                           FAX +34-1-337 45 02    |
>     +--------------------------------------------------------+
>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".